<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head th:replace="fragment/fragment.html :: head(title='Liste des commandes')">
</head>
    <body>
        <header th:replace="fragment/fragment.html :: header"></header>
       
        	<main class="index">
        	 <nav th:replace="fragment/fragment.html :: nav"></nav>
        	<div th:switch="${orders}" >
        		<h2 th:case="null">Pas de commandes!</h2>
                   <div th:case="*">
			            <table class="tableau">
			                <caption class="tableau__enTete"><span class="fa-solid fa-user"></span>  Liste des commandes :</caption>
			                <tr>
			                	  <th class="tableau__cellule"> Id Client</th>
			                      <th class="tableau__cellule">Libellé</th>
			                      <th class="tableau__cellule">TJM</th>
			                      <th class="tableau__cellule">Nombre de jours</th>
			                      <th class="tableau__cellule">TVA</th>
			                      <th class="tableau__cellule">Statut</th>
			                      <th class="tableau__cellule">Type</th>
								  <th class="tableau__cellule">Notes</th>
			                      <th class="tableau__cellule">Garanties</th>
			                      <th class="tableau__cellule">Devis</th>
			                      <th class="tableau__cellule">Action</th>
			                 </tr>
			                   <tbody>
			                 <tr th:each="order : ${orders}">
			                 	  <td th:text="${order.customerId}" class="tableau__cellule"></td>
			                      <td th:text="${order.label}" class="tableau__cellule"></td>
			                      <td th:text="${order.adrEt}" class="tableau__cellule"></td>
			                      <td th:text="${order.numberOfDays}" class="tableau__cellule"></td>
			                      <td th:text="${order.tva}" class="tableau__cellule"></td>
			                      <td th:text="${order.status}" class="tableau__cellule"></td>
			                      <td th:text="${order.type}" class="tableau__cellule"></td>
			                      <td th:text="${order.notes}" class="tableau__cellule"></td>
			                      <td th:text="${order.guarantee}" class="tableau__cellule"></td>
			                      <td th:text="${order.estimate != null ? (order.estimate ? 'Oui' : 'Non') : ''}" class="tableau__cellule"></td>
			                      <td class="tableau__cellule">
									  <a th:if="${#ctx.session.role == 'ROLE_ADMIN' || #ctx.session.role == 'ROLE_USER'}" 
									  	th:href="@{/orders/delete/{id}(id=${order.id})}" 
										  class="btn btn-primary">
									  <span class="fa-regular fa-circle-xmark"></span>
									  </a>
									</td>
			                  	</tr>
			                    </tbody>
			          	</table>
			      </div>
			      </div>
		<aside class="aside">
			<img class="aside__logo" src="/asset/images/crm_poecahontas.jpg"
				alt="poecahontas" title="poecahontas" />
			<div class="aside__fonction">
			<section id="section" class="aside__section">
					<h2 class="titre">Action</h2>
					<a th:if="${#ctx.session.role == 'ROLE_ADMIN' || #ctx.session.role == 'ROLE_USER'}" th:href="@{/createOrder}" class="action bouton action__bouton">
						<span class="fa-solid fa-plus"></span>  Commande</a>
			</section>
			 </div>
			 </aside>
			</main>
		<script src="/asset/script/time.js"></script>
</body>

</html>